Subject: Re: bug#47024: 28.0.50; [feature/native-comp] Warnings from async compilations truncated

From: Andrea Corallo <[email-masked]>
Date: Wed, 10 Mar 2021 06:50:15 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 09 Mar 2021 20:37:57 +0000
>> 
>> >   Warning (comp): seq.el:396:16: Warning: `seq-contains' is an obsolete generic function (as of Disable showing Disable logging
>> >
>> > Note the truncation after "(as of".
>> >
>> > Why does this happen? can it be fixed?
>> 
>> ATM we capture each Warning (or error) with the following regexp:
>> "^.*+?\\(?:Error\\|Warning\\): .*$"
>> 
>> So I expect we match the full line (if is a multi line diagnostic we'll
>> loose what's following).
>
> The message comes from a sub-process, right?

Yes

> Could it be that we
> match prematurely, when only part of the text was received?

That's possible, just before using the regexp we call
`accept-process-output' on the process, I thought this was sufficient to
handle the case but I'm no expert into this area.

  Andrea